<template>
  <div class="card">
    <div>Name: {{ name || '---' }}</div>
    <div>Gender: {{ gender || '---' }}</div>
    <div>Birthdate: {{ birthdate || '---' }}</div>
  </div>
</template>
<script lang="ts" setup>

type Gender = "Male" | "Female" | "Other";

export interface Props {
  name?: string;
  gender?: Gender;
  birthdate?: string;
}

const props = withDefaults(defineProps<Props>(), {
  name: 'User',
  birthdate: '01.01.01'
});
</script>

<style scoped lang="scss">
.card {
  margin-top: 20px;
  background-color: white;
  border-radius: 8px;
  padding: 20px;
  box-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);
}
</style>
